Bug 1224068 - [Backup]: Packages to be installed for glusterfind api to work
Summary: [Backup]: Packages to be installed for glusterfind api to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfind
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.1.0
Assignee: Aravinda VK
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1209138
Blocks: qe_tracker_everglades 1202842 1219457
TreeView+ depends on / blocked
 
Reported: 2015-05-22 07:19 UTC by Sweta Anandpara
Modified: 2016-09-17 15:19 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.0-2.el6rhs
Doc Type: Bug Fix
Doc Text:
Clone Of: 1209138
Environment:
Last Closed: 2015-07-29 04:45:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Sweta Anandpara 2015-05-22 07:19:37 UTC
+++ This bug was initially created as a clone of Bug #1209138 +++

Description of problem:

When we install glusterFS, the newly introduced CLI command 'glusterfind' fails with error. This bug is to keep track of the extra packages that need to be installed for the api to correctly work.
1) python-argparse-1.2.1-2.el6
2) pyxattr


Version-Release number of selected component (if applicable):

Gluster 3.7 upstream glusterfs-3.7dev-0.910.git17827de.el6.x86_64

How reproducible: Always


Steps to Reproduce:
1. Install glusterfs
2. Create a volume and run 'glusterfind' command


Actual results:

Step 2 errors out.

Expected results:

Installation of glusterfs should have taken care of installing the dependency packages as well. 

The above mentioned packages need to be added to the spec file.

--- Additional comment from Anand Avati on 2015-04-21 14:17:40 EDT ---

REVIEW: http://review.gluster.org/10321 (tools/glusterfind: Rpm install dependencies added) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Anand Avati on 2015-04-29 13:33:05 EDT ---

REVIEW: http://review.gluster.org/10321 (tools/glusterfind: Rpm install dependencies added) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Anand Avati on 2015-05-07 06:15:02 EDT ---

COMMIT: http://review.gluster.org/10321 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 394246d5416c3166e8fb3c8f92a5027c86decebd
Author: Aravinda VK <avishwan@redhat.com>
Date:   Tue Apr 21 23:45:07 2015 +0530

    tools/glusterfind: Rpm install dependencies added
    
    Argparse Python library is available as standard library in Python 2.7
    In rhel, we need to install python-argparse.
    
    Also added pyxattr dependency to the spec file.
    
    Change-Id: Ie50278eddf81e7cbf98d1e8d27e411b46676b432
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    BUG: 1209138
    Reviewed-on: http://review.gluster.org/10321
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 1 Sweta Anandpara 2015-05-22 07:28:59 UTC
Moving it to ON_QA as the fix has already gone in. Need to be verified in the downstream build.

Comment 2 Vivek Agarwal 2015-06-02 11:51:45 UTC
Moving to post as the bug is awaiting acks

Comment 4 Sweta Anandpara 2015-06-22 05:26:13 UTC
Created a new 4node cluster with the build glusterfs-3.7.1-4.el6rhs.x86_64. Created a distribute/distribute-replicate volume and tried to create a glusterfind session. 

The session creation was successful, without any errors of any packages missing. Detailed regression logs can be found as an attachment in the link: https://polarion.engineering.redhat.com/polarion/#/project/RHG3/testrun?id=glusterfs-3_7_1_3_RHEL6_7_FUSE

Moving this bug to verified in 3.1 Everglades.

Comment 5 Sweta Anandpara 2015-06-22 06:28:37 UTC
Correcting the link of log location of the functional testing that was executed in and around this bug, and the rest of the feature:
https://polarion.engineering.redhat.com/polarion/testrun-attachment/RHG3/glusterfs-3_7_1_3_RHEL6_7_FUSE/RHG3-5400_Logs_6.7_3.7.1-3_output_file_validation.odt

Comment 6 errata-xmlrpc 2015-07-29 04:45:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.